Bug 1411876 - gnome-terminal isn't restored to previous size after maximised
Summary: gnome-terminal isn't restored to previous size after maximised
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1744279 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:35 UTC by Pierre Ossman
Modified: 2020-05-26 18:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:27:58 UTC
Type: Bug


Attachments (Terms of Use)
Test program (652 bytes, text/x-csrc)
2017-02-06 12:21 UTC, Michael Chapman
no flags Details

Description Pierre Ossman 2017-01-10 16:35:21 UTC
Simply do Win+Up then Win+Down on a Gnome Terminal window. The window will now have a different size than it started out with. Each iteration changes the size further.

Comment 1 Michael Chapman 2017-02-06 12:20:52 UTC
I can confirm the existence of this bug -- the window shrinks by precisely one column and one row. The same problem occurs on the X backend if gnome-terminal-server and gnome-terminal are run with GTK_CSD=1.

I will attach a small test program that prints out the window size on each SIGWINCH. Curiously, it appears that during a maximize or unmaximize *multiple* SIGWINCH signals are sent, and the terminal reports unusual sizes in between, e.g.:

$ ./terminal-test 
[2017-02-06 23:17:12]    80 x    24
*maximize*
[2017-02-06 23:17:14]   216 x    64
[2017-02-06 23:17:14]   209 x    61
*unmaximize*
[2017-02-06 23:17:17]    79 x    23
[2017-02-06 23:17:17]    73 x    20
[2017-02-06 23:17:17]    79 x    23
*maximize*
[2017-02-06 23:17:21]   216 x    64
[2017-02-06 23:17:21]   209 x    61
*unmaximize*
[2017-02-06 23:17:24]    78 x    22
[2017-02-06 23:17:24]    72 x    19
[2017-02-06 23:17:24]    78 x    22

On the X backend with GTK_CSD=0, a single SIGWINCH is sent and the terminal sizes are correct:

$ ./terminal-test 
[2017-02-06 23:19:05]    80 x    24
*maximize*
[2017-02-06 23:19:06]   209 x    61
*unmaximize*
[2017-02-06 23:19:07]    80 x    24
*maximize*
[2017-02-06 23:19:08]   209 x    61
*unmaximize*
[2017-02-06 23:19:10]    80 x    24

Comment 2 Michael Chapman 2017-02-06 12:21:34 UTC
Created attachment 1248025 [details]
Test program

Comment 3 Michael Chapman 2017-02-26 11:22:01 UTC
Ping?

Seems this was also reported last year in bug #1398396. I suspect upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=777072 is also the same issue.

What other information can we provide to help get this bug moving?

Comment 4 Michael Chapman 2017-03-26 08:36:04 UTC
Polite ping... any news on this?

Comment 5 Chris Wright 2017-06-07 14:52:54 UTC
I see same on Fedora 26 (drag to gnome-shell border to maximize, drag back to unmaximize or use window menu to maximize/unmaximize).

Comment 6 Fedora End Of Life 2018-05-03 08:11:28 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Michael Chapman 2018-05-03 10:14:46 UTC
Still a problem in F27. I've yet to try it out in F28.

Comment 8 Ben Cotton 2018-11-27 15:53:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 21:24:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Pierre Ossman 2019-05-22 13:22:49 UTC
Since the terminal now runs with CSD, Wayland has reached feature parity with X11 by making sure the bug is present in X11 as well.

Could someone please have a look at this? Who isn't using their terminal and maximizing it now and then?

Comment 11 Pierre Ossman 2019-05-22 13:24:16 UTC
Is it possible to disable CSD in the new version as a workaround?

Comment 13 Anoop C S 2019-09-17 07:04:19 UTC
(In reply to Pierre Ossman from comment #12)
> Upstream bugs:
> 
> https://gitlab.gnome.org/GNOME/gnome-terminal/issues/105
> https://gitlab.gnome.org/GNOME/gnome-terminal/issues/129

Were you able to workaround by running the `dconf` command mentioned in the above issue? I am still facing the issue even with the workaround.

Comment 14 Pierre Ossman 2019-09-17 08:01:18 UTC
Yup. The workaround works fine for me here. Using:

gnome-terminal-3.32.2-2.fc30.x86_64
gnome-shell-3.32.2-2.fc30.x86_64

Comment 15 Eric Blake 2019-09-17 10:36:00 UTC
*** Bug 1744279 has been marked as a duplicate of this bug. ***

Comment 16 Anoop C S 2020-03-18 06:11:40 UTC
I think this has been fixed recently. At least I am not facing the issue with following versions:

gnome-terminal-3.34.2-2.fc31.x86_64
gnome-shell-3.34.4-2.fc31.x86_64

Comment 17 Pierre Ossman 2020-03-18 11:10:05 UTC
I can reproduce it here on X11. On a different machine running Wayland it works though. So it seems to be partially resolved.

The upstream issue is also still open.

Comment 18 Ben Cotton 2020-04-30 20:20:27 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2020-05-26 18:27:58 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.